<?php
namespace Teknisa\DF\Services;

use Teknisa\Libs\Util\Environment;

class Df00400ImpostoService{

	protected $environment;
	protected $entityManager;
	protected $dataSourceManager;

	public function __construct(Environment $environment, \Doctrine\ORM\EntityManager $entityManager ,$dataSourceManager){
		$this->environment = $environment;
		$this->entityManager = $entityManager;
		$this->dataSourceManager = $dataSourceManager;
	}

	public function buscar($condicao){
		return $this->dataSourceManager->findBy($condicao);
	}

	public function deletar($dataSet){
    	$this->dataSourceManager->delete($dataSet);
	}
}